@import url('general.css');

.thankyou-hero-section {
    position: relative;
    width: 100%;
    height: 400px;
    background: radial-gradient(90.35% 90.35% at 23.94% 5.43%,
            rgba(232, 78, 27, 0.85) 0%,
            rgba(255, 36, 36, 0.85) 47.6%,
            rgba(232, 78, 27, 0.85) 100%);
    overflow: hidden;
    border-radius: 14px;
}

.thankyou-hero-section::before {
    content: "";
    position: absolute;
    inset: 0;
    background: url("../images/thankyou-bg.png") no-repeat center / cover;
    z-index: 1;
}

.thank-you-hero-content h1 {
    font-size: 44px;
    font-weight: 700;
    text-transform: uppercase;
    color: #fff;
}

.thank-you-hero-content p {
    font-size: 18px;
    color: #fff;
    text-align: center;
}

.thank-you-hero-content a {
    padding: 12px 20px;
    border-radius: 30px;
    border: 1px solid #fff;
    background: transparent;
    width: 141px;
    height: 40px;
    font-size: 16px;
    color: #fff;
    text-decoration: none;
}

.order-side,
.payment-side {
    background-color: #F4F4F4;
    border-radius: 14px;
    padding: 15px;
}

.order-side h2 {
    font-size: 20px;
    font-weight: 600;
    color: #FF2424;
}

.thank-you-product-box {
    padding: 14px;
    border-radius: 14px;
    background-color: #fff;
}

.thank-you-product-img {
    width: 90px;
    height: 90px;
    border-radius: 10px;
    padding: 15px;
    background-color: #F4F4F4;
    display: flex;
    justify-content: center;
    align-items: center;
}

.thank-you-product-img img {
    border-radius: 14px;
    width: 100%;
    height: 76px;
    object-fit: contain;
}

.thank-you-product-detail {
    width: 82%;
}

.thank-you-product-detail h3 {
    font-size: 16px;
    font-weight: 500;
    color: #333333;
}

.product-color,
.product-width-height {
    font-size: 14px;
    font-weight: 400;
    color: #4C4C4C;
}

.product-color span {
    width: 16px;
    height: 16px;
    background-color: #929197;
    display: block;
    border-radius: 50px;
}

.product-price-quantity span:first-child,
.product-price-quantity span:last-child {
    font-size: 16px;
    font-weight: 700;
    color: #000;
}

.product-price-quantity span:nth-child(2) {
    font-size: 14px;
    font-weight: 400;
    color: #333333;
}

.thank-you-more-toggle-btn {
    width: 72px;
    height: 28px;
    border-radius: 50px;
    background: radial-gradient(90.35% 90.35% at 23.94% 5.43%, rgba(232, 78, 27, 0.1) 0%, rgba(255, 36, 36, 0.1) 47.6%, rgba(232, 78, 27, 0.1) 100%);
    color: #FF2424;
    font-size: 14px;
    border: none;
    cursor: pointer;
}

.thank-you-more-toggle-btn .cart-more-icon {
    transition: transform 0.3s ease;
}

.thank-you-product-box .cart-modal-extra {
    display: none;
}

.thank-you-product-box .cart-modal-extra.is-open {
    display: block;
}

.cart-more-icon {
    transform: rotate(180deg);
}

.payment-side-box {
    border-radius: 14px;
    background-color: #fff;
    padding: 15px;
}

.payment-side-box h2 {
    font-size: 18px;
    font-weight: 600;
    color: #FF2424;
    border-bottom: 1px solid #E6E6E6;
    padding-bottom: 15px;
}

.payment-method-dates {
    border-bottom: 1px solid #E6E6E6;
    padding-bottom: 30px;
    margin-bottom: 30px;
}

.payment-dates p {
    font-size: 16px;
    font-weight: 400;
    color: #4C4C4C;
}

.order-id {
    /* width: 159px; */
    height: 39px;
    border-radius: 10px;
    border: 1px solid #FF2424;
    padding: 7px 16px 10px;
    font-size: 16px;
    font-weight: 400;
    color: #FF2424;
    background: radial-gradient(90.35% 90.35% at 23.94% 5.43%, rgba(232, 78, 27, 0.1) 0%, rgba(255, 36, 36, 0.1) 47.6%, rgba(232, 78, 27, 0.1) 100%);
}

.price-lists {
    font-size: 14px;
    color: #4C4C4C;
}

.order-total-price {
    border-top: 1px dashed #E6E6E6;
    padding-top: 10px;
}

.order-total-price p {
    font-size: 16px;
    color: #4C4C4C;
    font-weight: 600;
}

.order-total-price p strong {
    font-size: 20px;
    color: #FF2424;
    font-weight: 500;
}

@media (max-width: 480px) {
    .main-section {
        padding: 20px;
    }

    .thank-you-product-detail {
        width: 65%;
    }

    .thank-you-product-detail h3 {
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 1;
        overflow: hidden;
        text-overflow: ellipsis;
    }
}

@media (max-width: 375px) {
    .thank-you-product-detail {
        width: 61%;
    }
}